Botan: Botan::DLIES_Decryptor Class Reference

Botan 1.10.16

Public Member Functions | List of all members
Botan::DLIES_Decryptor Class Reference

`#include <dlies.h>`

Inheritance diagram for Botan::DLIES_Decryptor:

## Public Member Functions
SecureVector< byte > | decrypt (const byte in[], size_t length) const
SecureVector< byte > | decrypt (const MemoryRegion< byte > &in) const
| DLIES_Decryptor (const PK_Key_Agreement_Key &, KDF *kdf, MessageAuthenticationCode *mac, size_t mac_key_len=20)
| ~DLIES_Decryptor ()

## Detailed Description

DLIES Decryption

Definition at line 47 of file dlies.h.

## Constructor & Destructor Documentation

## ◆ DLIES_Decryptor()

Botan::DLIES_Decryptor::DLIES_Decryptor | ( | const PK_Key_Agreement_Key & | key,
|  | KDF * | kdf,
|  | MessageAuthenticationCode * | mac,
|  | size_t | mac_key_len = `20`
| ) |  |

Definition at line 90 of file dlies.cpp.

References Botan::PK_Key_Agreement_Key::public_value().

93 :
94 ka(key, "Raw"),
95 kdf(kdf_obj),
96 mac(mac_obj),
97 mac_keylen(mac_kl)
98 {
99 my_key = key.public_value();
100 }

## ◆ ~DLIES_Decryptor()

Botan::DLIES_Decryptor::~DLIES_Decryptor | ( |  | ) |

Definition at line 102 of file dlies.cpp.

References Botan::OctetString::begin(), Botan::OctetString::bits_of(), Botan::KDF::derive_key(), Botan::PK_Key_Agreement::derive_key(), Botan::Buffered_Computation::final(), Botan::OctetString::length(), Botan::Buffered_Computation::output_length(), Botan::SymmetricAlgorithm::set_key(), Botan::MemoryRegion< T >::size(), Botan::Buffered_Computation::update(), and Botan::xor_buf().

103 {
104 delete kdf;
105 delete mac;
106 }

## Member Function Documentation

## ◆ decrypt() [1/2]

SecureVector<byte> Botan::PK_Decryptor::decrypt | ( | const byte | in[],
|  | size_t | length
| ) |  | const
| inlineinherited

Decrypt a ciphertext.

Parameters

  in | the ciphertext as a byte array
  length | the length of the above byte array

Returns
  decrypted message

Definition at line 94 of file pubkey.h.

95 {
96 return dec(in, length);
97 }

## ◆ decrypt() [2/2]

SecureVector<byte> Botan::PK_Decryptor::decrypt | ( | const MemoryRegion< byte > & | in | ) | const
| inlineinherited

Decrypt a ciphertext.

Parameters

  in | the ciphertext

Returns
  decrypted message

Definition at line 104 of file pubkey.h.

References Botan::MemoryRegion< T >::size().

105 {
106 return dec(&in[0], in.size());
107 }
Botan::MemoryRegion::size
size_t size() const
Definition: secmem.h:29

The documentation for this class was generated from the following files:

- src/pubkey/dlies/dlies.h
- src/pubkey/dlies/dlies.cpp